<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:th="http://www.thymeleaf.org">
<html>
	<head>
		<th:block th:include="fragments/general.html :: headerfiles"></th:block>
	</head>
	<body class="body-img">

	<nav th:insert="fragments/general.html :: navbar"> </nav>

	<section class="container-fluid content pt-5">
		<div class="row">
			<div class="col-md-7">
				<div id="mapid"></div>
			</div>
			<div class="col-md-5 p-2 text-center justify-content-center"
				 id="board">
                <div th:each="ad : ${ads}">
                    <div class="border bg-white my-2">
						<div class="p-2">
							<h3 th:text="${ad.title}"
								class="hover"
								th:onclick="'firePopup(\'' + ${ad.id} + '\'); toggle(\'ad' + ${ad.id} + '\');'">
							</h3>
						</div>
                        <div style="display: none;"
                             th:id="'ad' + ${ad.id}"
                             class="p-2 toggleable">
							<div class="p-2">
								<p class="d-flex justify-content-end"
								   th:text="'' + #{ad.created} + ': ' + ${ad.created}"></p>
								<hr>
								<p th:text="${ad.details}"></p>
							</div>
							<div class="py-3">
								<button class="btn btn-danger px-3"
										th:onclick="'toggle(\'ad' + ${ad.id} + '\')'">
									<i class="fas fa-chevron-up"></i>
								</button>
							</div>
                        </div>
                    </div>
                </div>
			</div>
		</div>
	</section>

	<footer th:insert="fragments/general.html :: footer"> </footer>
	<script th:inline="javascript" type="text/javascript">
	/*<![CDATA[*/

    var y = /*[[${city.getY()}]]*/ 51.55;
    var x = /*[[${city.getX()}]]*/ 19.08;
    var zoom = /*[[${city.getZoom()}]]*/ 6;

    $(document).ready(function() {
    	showMap(y, x, zoom);
    });

	/*]]>*/
	</script>
	</body>
</html>
